<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Videojuegos</title>
    <link rel="stylesheet" href="index.css">
    <style>
        @import url('https://fonts.googleapis.com/css2?family=Maven+Pro&display=swap');
    </style>
    <script>
        function loadXMLDoc(filename) {
            if (window.ActiveXObject) {
                xhttp = new ActiveXObject("Msxml2.XMLHTTP");
            }
            else {
                xhttp = new XMLHttpRequest();
            }
            xhttp.open("GET", filename, false);
            xhttp.send("");
            return xhttp.responseXML;
        }

        function getId() {
            const queryString = window.location.search;
            const urlParams = new URLSearchParams(queryString);
            const id = urlParams.get('id')
            return id
        }

        function displayResult(filename) {
            /*
            if (!filename) {
                xml = loadXMLDoc(`xml/detalle/${getId()}.xml`);
                xsl = loadXMLDoc(`xml/detalle.xsl`);
            } else {
                xml = loadXMLDoc("../xml/videojuegos.xml");
                xsl = loadXMLDoc(`../xml/videojuegos.xsl`);
            }
            */

            xml = loadXMLDoc("xml/videojuegos.xml");
            xsl = loadXMLDoc("xml/videojuegos.xsl");

            if (document.implementation && document.implementation.createDocument) {
                xsltProcessor = new XSLTProcessor();
                xsltProcessor.importStylesheet(xsl);
                resultDocument = xsltProcessor.transformToFragment(xml, document);
                document.querySelector("#inserter").appendChild(resultDocument);
            }
        }
    </script>
</head>

<body onload = "displayResult()">
    <header>
        <img src="src/logo.jpg" alt="Logo Web Bicis" class="logo">
        <h1>learning through play</h1>
    </header>
    <nav>
        <ul>
            <li><a href="#" class="a_nav">mo4play</a></li>
            <li><a href="#videojuegos" class="a_nav">videojuegos</a></li>
            <li><a href="#noticias" class="a_nav">noticias</a></li>
            <li><a href="#ranking" class="a_nav">ranking</a></li>
            <li><a href="encuesta/encuesta.html" class="a_nav">encuesta</a></li>
            <li><a href="#" class="a_nav">contacto</a></li>
        </ul>
    </nav>
    <main>
        <section id = "videojuegos">
            <h2>videojuegos</h2>
            <div class="div_vid" id = "inserter"></div>
        </section>
    </main>
    <div class="content-trucnot">
        <aside class="asdtruc">
            <article>
                <h2>trucos</h2>
                <h3>grand theft auto</h3>
                <p class="negtruc">Para aparecer barcos:</p>
                <p>360-223-004</p>
                <p>
                <p class="negtruc">Para aparecer salud:</p>560-543-001</p>
                <h3>legaue of legends</h3>
                <p class="negtruc">Hechizos de Invocador:</p>
                <p>te explicamos que son, como se usan y en que ocasiones hay que usarlos</p>
                <p class="negtruc">Como subir de nivel:</p>
                <p>te explicamos como puedes subir de nivel de forma rapida</p>
            </article>
        </aside>
        <section class="sectnot" id="noticias">
            <h2>noticias</h2>
            <div class="div_not">
                <article class="notart">
                    <img class="notimg" src="src/noticia1.jpg" alt="foto noticia videojuego">
                    <h3>videojuegos, la nueva pandemia?</h3>
                    <p>En los ultimos años el aumento de problemas psicologicos provocados por el consume de
                        videojuegos...</p>
                    <a href="noticia/noticia.html">Leer+</a>
                </article>
                <article class="notart">
                    <img class="notimg" src="src/noticia2.jpg" alt="foto noticia videojuego">
                    <h3>realidad virtual, una moda muy real</h3>
                    <p>La realidad virtual es una de las tecnologias en auge del momento...</p>
                    <a href="noticia/noticia.html">Leer+</a>
                </article>
                <article class="notart">
                    <img class="notimg" src="src/noticia3.jpeg" alt="foto noticia videojuego">
                    <h3>Nakamoto, Turner y Jordan sobre el futuro de su personaje</h3>
                    <p>Los creadores de este famoso personaje se reunen para discutir el futuro de su creación</p>
                    <a href="noticia/noticia.html">Leer+</a>
                </article>
                <article class="notart">
                    <img class="notimg" src="src/noticia4.jpeg" alt="foto noticia videojuego">
                    <h3>La voz de nuestros personajes</h3>
                    <p>Durante mucho tiempo nos hemos preguntado quienes son las voces que hay detras de nuestros
                        personajes animados favoritos...</p>
                    <a href="noticia/noticia.html">Leer+</a>
                </article>
            </div>
        </section>
    </div>
    <section id="ranking" class="ranking">
        <h2>ranking</h2>
        <div class="divRanking">
            <div class="posRanking">
                <img class="imgRanking" src="src/cara1.jpg" alt="foto ranking videojuegos">
                <p class="nomRanking">Lucia Arroyo</p>
            </div>
            <div class="posRanking">
                <img class="imgRanking" src="src/cara2.jpg" alt="foto ranking videojuegos">
                <p class="nomRanking">Michael Turner</p>
            </div>
            <div class="posRanking">
                <img class="imgRanking" src="src/cara3.jpg" alt="foto ranking videojuegos">
                <p class="nomRanking">Anthony Edwards</p>
            </div>
            <div class="posRanking">
                <img class="imgRanking" src="src/cara4.jpg" alt="foto ranking videojuegos">
                <p class="nomRanking">Mario Vaquerizo</p>
            </div>
        </div>
    </section>
    <footer class="rrss">
        <div>
            <img src="src/youtube.png" alt="YouTube">
            <img src="src/twitter.png" alt="Twitter">
            <img src="src/instagram.png" alt="Instagram">
        </div>
        <div>
            <address>Carrer d'Aiguablava 121</address>
            <p>08033 Barcelona</p>
        </div>
        <p>Copyright</p>
    </footer>
</body>

</html>